开发者社区> 问答> 正文

ace nodejs ghost 配置和依赖问题

已解决

展开
收起
WM云建站 2016-02-01 12:48:30 2555 0
1 条回答
写回答
取消 提交回答
  • 阿里云论坛版主,QQ 1978638808
    采纳回答

    package.json 配置的例子
    `
    {
      "name": " acetest",
      "version": "0.6.3",
      "description": "acetest.",
      "author": "Ghost Foundation",
      "homepage": "http://ghost.org",
      "keywords": [
        "ghost",
        "blog",
        "cms"
      ],
      "repository": {
        "type": "git",
        "url": "git://github.com/TryGhost/Ghost.git"
      },
      "bugs": "https://github.com/TryGhost/Ghost/issues",
      "contributors": "https://github.com/TryGhost/Ghost/graphs/contributors",
      "licenses": [
        {
          "type": "MIT",
          "url": "https://raw.github.com/TryGhost/Ghost/master/LICENSE"
        }
      ],
      "main": "index.js",
      "scripts": {
        "start": "node index",
        "test": "grunt validate --verbose"
      },
      "engines": {
        "node": "~0.10.0 || ~0.12.0",
        "iojs": "~1.2.0"
      },
      "dependencies": {
        "bcryptjs": "2.1.0",
        "bluebird": "2.9.25",
        "body-parser": "1.10.0",
        "bookshelf": "0.7.9",
        "busboy": "0.2.9",
        "cheerio": "0.18.0",
        "colors": "0.6.2",
        "compression": "1.2.2",
        "connect-slashes": "1.3.0",
        "cookie-session": "1.1.0",
        "downsize": "0.0.8",
        "express": "4.12.3",
        "express-hbs": "0.8.4",
        "extract-zip": "1.0.3",
        "fs-extra": "0.13.0",
        "glob": "4.3.2",
        "html-to-text": "1.3.0",
        "knex": "0.7.3",
        "lodash": "2.4.1",
        "moment": "2.10.2",
        "morgan": "1.5.0",
        "node-uuid": "1.4.2",
        "nodemailer": "0.7.1",
        "oauth2orize": "1.0.1",
        "passport": "0.2.1",
        "passport-http-bearer": "1.0.1",
        "passport-oauth2-client-password": "0.1.2",
        "path-match": "1.2.2",
        "request": "2.55.0",
        "rss": "1.1.1",
        "semver": "4.3.3",
        "showdown-ghost": "0.3.6",
        "sqlite3": "3.0.6",
        "unidecode": "0.1.3",
        "validator": "3.39.0",
        "xml": "1.0.0",
        "qiniu": "6.1.6",
        "upyun": "1.1.2",
        "aliyun-sdk": "1.3.1"
      },
      "optionalDependencies": {
        "mysql": "2.1.1",
        "pg": "4.1.1"
      },
      "devDependencies": {
        "bower": "~1.3.10",
        "grunt": "~0.4.5",
        "grunt-bg-shell": "^2.3.1",
        "grunt-cli": "~0.1.13",
        "grunt-contrib-clean": "~0.6.0",
        "grunt-contrib-compress": "~0.11.0",
        "grunt-contrib-copy": "~0.5.0",
        "grunt-contrib-jshint": "~0.11.2",
        "grunt-contrib-uglify": "~0.6.0",
        "grunt-contrib-watch": "~0.6.1",
        "grunt-docker": "~0.0.8",
        "grunt-express-server": "~0.4.19",
        "grunt-jscs": "~1.8.0",
        "grunt-mocha-cli": "~1.13.0",
        "grunt-mocha-istanbul": "2.4.0",
        "grunt-shell": "~1.1.1",
        "grunt-update-submodules": "~0.4.1",
        "matchdep": "~0.3.0",
        "nock": "0.52.4",
        "require-dir": "~0.1.0",
        "rewire": "~2.1.0",
        "should": "~6.0.1",
        "sinon": "~1.12.2",
        "supertest": "~0.15.0",
        "testem": "^0.6.23",
        "top-gh-contribs": "^1.0.0"
      },
      "aceenv": {
        "NODE_ENV": "production"
      }
    }
    `
    其中入口配置,这个很关键:
    "main": "index.js",
    ace nodejs 文档 :http://ace.aliapp.com/nodejs/quick-start.md
    依赖的模块:
    thumb_Fid_220_220_1145293988217655_a432986fdb9afc5

    2019-07-17 18:27:31
    赞同 展开评论 打赏
问答分类:
问答标签:
问答地址:
问答排行榜
最热
最新

相关电子书

更多
探究 Node.js 的服务端之路 立即下载
个推微服务实践 基于OpenResty 和Node.js 立即下载
沪江基于Node.js大规模应用实践 立即下载